﻿using System.Collections;
using System.Collections.Generic;
using UnityEngine;

public class Grid : MonoBehaviour
{
    public Vector2 topLeft;
    public int xCount = 10;
    public int yCount = 20;
    public Vector2 cellSize = Vector2.one;

    public Rect[,] cells = new Rect[0, 0];

    private void Awake()
    {
        Refresh();
    }

    public void Refresh()
    {
        cells = new Rect[xCount, yCount];
        for (int i = 0; i < xCount; i++)
        {
            for (int j = 0; j < yCount; j++)
            {
                cells[i, j] = new Rect(topLeft.x + i * cellSize.x, topLeft.y + j * cellSize.y, cellSize.x, cellSize.y);
            }
        }
    }

    private void OnDrawGizmosSelected()
    {
        Refresh();
        for (int i = 0; i < cells.GetLength(0); i++)
        {
            for (int j = 0; j < cells.GetLength(1); j++)
            {
                Gizmos.color = Color.blue;
                Gizmos.DrawWireCube(cells[i, j].center, cellSize);
            }
        }
    }
}
