﻿using System.Collections;
using System.Collections.Generic;
using UnityEngine;
using UnityEngine.UI;

public class FadeEffect : MonoBehaviour
{
    public Component target;
    public float minAlpha = 0;
    public float maxAlpha = 1;
    public float speed = 1;    

    // Update is called once per frame
    void Update()
    {
        Color col = getColor();
        col.a = Mathf.Lerp(minAlpha, maxAlpha, Mathf.PingPong(Time.time * speed, 1));
        setColor(col);
    }

    void setColor(Color c)
    {
        if (target is SpriteRenderer)
            (target as SpriteRenderer).color = c;
        else if (target is Graphic)
            (target as Graphic).color = c;
    }

    Color getColor()
    {
        if (target is SpriteRenderer)
            return (target as SpriteRenderer).color;
        else if (target is Graphic)
            return (target as Graphic).color;
        else
            return Color.white;
    }
}
