﻿using System.Collections;
using System.Collections.Generic;
using UnityEngine;
using UnityEngine.UI;

public class Menu : MonoBehaviour
{
    static Menu _instance;
    public static Menu instance
    {
        get
        {
            if (_instance == null)
                _instance = FindObjectOfType<Menu>();
            return _instance;
        }
    }

    Stack<GameObject> stack = new Stack<GameObject>();

    private void Start()
    {
        GoToPage("main");
    }

    public void GoToPage(string page)
    {
        var child = transform.Find(page);
        if (child != null)
            GoToPage(child.gameObject);
    }

    public void GoToPage(GameObject page)
    {
        if (stack.Count > 0)
            stack.Peek().SetActive(false);
        page.SetActive(true);
        stack.Push(page);
    }

    public void GoBack()
    {
        if (stack.Count > 0)
            stack.Pop().SetActive(false);

        if (stack.Count == 0)
        {
            Dialog.Open("Are you sure you want to quit the game?",
                        new Dialog.ButtonElement("No", () => GoToPage("main")),
                        new Dialog.ButtonElement("Yes", Application.Quit));
        }
        else
        {
            stack.Peek().SetActive(true);
        }
    }

    private void Update()
    {
        if (Input.GetKeyUp(KeyCode.Escape))
            GoBack();
    }
}
